package com.gwt.app.shared;

import java.io.Serializable;

public class UserDTO implements Serializable
{
	private static final long serialVersionUID = 3196402615838002153L;
	
	private String userName;
	
	private String password;
	
	private boolean loggedIn;
	
	private String sessionId;
	
	public UserDTO()
	{
	}

	public UserDTO(String name, String password)
	{
		setUserName(name);
		setPassword(password);
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public boolean getLoggedIn() {
		return loggedIn;
	}

	public void setLoggedIn(boolean loggedIn) {
		this.loggedIn = loggedIn;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}
}
